View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *      http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17  package org.apache.log4j.spi;
    18
    19  /**
    20   * Implemented by logger repositories that support configurable
    21   * rendering of Throwables.
    22   *
    23   * @since 1.2.16
    24   */
    25  public interface ThrowableRendererSupport {
    26      /**
    27       * Get throwable renderer.
    28       * @return throwable renderer, may be null.
    29       */
    30      ThrowableRenderer getThrowableRenderer();
    31
    32      /**
    33       * Set throwable renderer.
    34       * @param renderer renderer, may be null.
    35       */
    36      void setThrowableRenderer(ThrowableRenderer renderer);
    37  }